### Enumeration

# FwupdPlugin CabFileAttribute

since: 1.0

#### Declaration

    enum FwupdPlugin.CabFileAttribute

#### Description

No description available.

Available since: 1.0

#### Members

`FU_CAB_FILE_ATTRIBUTE_NONE`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_CAB_FILE_ATTRIBUTE_READONLY`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_CAB_FILE_ATTRIBUTE_HIDDEN`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_CAB_FILE_ATTRIBUTE_SYSTEM`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_CAB_FILE_ATTRIBUTE_ARCH`
  No description available.
  - Value: `32`
  - Nickname: `None`
  - Available since: 1.0
`FU_CAB_FILE_ATTRIBUTE_EXEC`
  No description available.
  - Value: `64`
  - Nickname: `None`
  - Available since: 1.0
`FU_CAB_FILE_ATTRIBUTE_NAME_UTF8`
  No description available.
  - Value: `128`
  - Nickname: `None`
  - Available since: 1.0